GET
/project/{projectId}
curl \
--request GET 'https://live.smartpmtech.com/project/{projectId}' \
--header "X-API-KEY: $API_KEY" \
--header "X-COMPANY-ID: string"
Response examples (200)
{
"guid": "string",
"activityDefaultDurationType": 42,
"originalProjectId": 42,
"initialProjectId": 42,
"baselineSet": true,
"scheduleType": "Automatic",
"performanceTrack": true,
"costTrack": true,
"hasHistoricalTracking": true,
"imagePath": "string",
"defaultScenarioId": 42,
"originalScenarioId": 42,
"archived": true,
"weatherProfileId": 42,
"percentCompleteType": "Duration",
"defaultCalendarId": 42,
"calendarNameLength45": true,
"weatherStationId": "string",
"creationType": "MANUAL",
"name": "string",
"id": 42,
"state": "string",
"timeZone": "string",
"country": "string",
"source": "SmartPM",
"status": "ACTIVE",
"companyId": "string",
"startDate": "2026-05-04",
"latitude": 42.0,
"longitude": 42.0,
"projectPlanId": "string",
"underConstruction": true,
"riskProfileId": 42,
"qualityProfileId": 42,
"city": "string",
"zipCode": "string",
"endDate": "2026-05-04"
}